function param = MissRatio_defaultParam
% param = MissRatio_defaultParam
% set default params
%
% Miss RatioRF Random Forest library
% (c) Manuele Bicego 2025
%
% Default parameters
% ------------------
% param.typeTree = 2;
% % 1: binary class tree with sampled negative points (NOT IMPLEMENTED)
% % 2: Extremely Random Tree 
% % 3: Regression Trees
% ------------------
% param.featsubset = 0;
% % featsubset: number of features used to select the best pruning
% % 0: all predictors
% % different than option.featfraction 
% -------------------
% param.featfraction = 0.5;
% % the fraction of features used to build each tree
% -------------------
% param.ntrees = 100;
% % number of trees
% -------------------
% param.sampling = 0.5;
% % if less than 1 -> the fraction of objects used to build each tree
% % if larger than 1 -> the number of objects used to build each tree
% ------------------
% param.maxDepth = inf;
% % maxDEpth: max depth of the tree
% % 0 --> means ceil(log2(size(training of x))
% ------------------
% param.verbose = 1; 
% % show progress
% ------------------
% % Specific parameters for specific methods
% param.crit = 'gini'; % criterion for splitting in classification tree
% param.minLeafSize = 10; % minimun number of points
% param.reg = 0.0000001; % regularization coeffcient for covariance computation
% ------------------
% % Training strategy when a missing value is encountered
% param.misstrain = 3; 
% 1. propagate points with NaN in both directions
% 2. propagate points with NaN in one random direction
% 3. stop points with NaN
% ------------------
% Testing strategy when a missing value is encountered
% param.misstest = 2;
% 1. Single path: one random path
% 2. Multi path: keep both directions



% Default parameters
% ------------------
param.typeTree = 2;
% 1: binary class tree -- NOT IMPLEMENTED
% 2: Extremely Random Tree 
% 3: Regression tree
% ------------------
param.featsubset = 0;
% featsubset: number of features used to select the best pruning
% 0: all predictors
% different than option.featfraction 
% -------------------
param.featfraction = 0.5;
% the fraction of features used to build each tree
% -------------------
param.ntrees = 100;
% number of trees
% -------------------
param.sampling = 0.5;
% if less than 1 -> the fraction of objects used to build each tree
% if larger than 1 -> the number of objects used to build each tree

% ------------------
param.maxDepth = inf;
% maxDEpth: max depth of the tree
% 0 --> means ceil(log2(size(training of x))
% ------------------
param.verbose = 0; 
% show progress
% ------------------
% Specific parameters for specific methods
param.crit = 'gini'; % criterion for splitting in classification tree
param.minLeafSize = 10; % minimun number of points
param.reg = 0.0000001; % regularization coeffcient for covariance computation
% ------------------
%
% Training strategy when a missing point is encountered
param.misstrain = 3; 
% 1. propagate points with NaN in both directions
% 2. propagate points with NaN in one random direction
% 3. stop points with NaN
% ------------------
% 
% Testing strategy when a missing value is encountered
param.misstest = 2;
% 1. Single path: one random path
% 2. Multi path: keep both directions
% 

